import request from '@/utils/request'

/**
 * 获取统计数据
 * @param {Object} query 查询参数
 * @returns {Promise} 返回统计数据
 */
export function getStat(query) {
  return request({
    url: '/dashboard/stat',
    method: 'get',
    params: query
  })
}

/**
 * 获取每日统计数据
 * @param {Object} query 查询参数
 * @returns {Promise} 返回每日统计数据
 */
export function getDailyAmount(query) {
  return request({
    url: '/dashboard/dailyAmount',
    method: 'get',
    params: query
  })
}

/**
 * 获取营收统计数据
 * @param {Object} query 查询参数
 * @returns {Promise} 返回营收统计数据
 */
export function getRevenueStat(query) {
  return request({
    url: '/dashboard/revenueStat',
    method: 'get',
    params: query
  })
}
